--- linux/Makefile.old
+++ linux/Makefile
@@ -54,7 +54,7 @@
 RELEASE_CFLAGS=$(BASE_CFLAGS) -O6 -ffast-math -funroll-loops \
 	-fomit-frame-pointer -fexpensive-optimizations
 else
-RELEASE_CFLAGS=$(BASE_CFLAGS) -g -mpentiumpro -O6 -ffast-math -funroll-loops \
+RELEASE_CFLAGS=$(BASE_CFLAGS) -g $(GENTOO_CFLAGS) -DGENTOO_DATADIR=\\\"$(GENTOO_DATADIR)\\\" -O6 -ffast-math -funroll-loops \
 	-fomit-frame-pointer -fexpensive-optimizations
 endif
 
@@ -92,7 +92,7 @@
 #############################################################################
 
 ifeq ($(ARCH),axp)
-TARGETS=$(BUILDDIR)/q2ded \
+TARGETS=\
 	$(BUILDDIR)/game$(ARCH).$(SHLIBEXT) \
 	$(BUILDDIR)/ctf/game$(ARCH).$(SHLIBEXT) \
 #	$(BUILDDIR)/xatrix/game$(ARCH).$(SHLIBEXT) \
@@ -100,11 +100,7 @@
 else
 TARGETS=$(BUILDDIR)/quake2 \
 	$(BUILDDIR)/game$(ARCH).$(SHLIBEXT) \
-	$(BUILDDIR)/ref_soft.$(SHLIBEXT) \
-	$(BUILDDIR)/ref_softx.$(SHLIBEXT) \
 	$(BUILDDIR)/ref_softaa.$(SHLIBEXT) \
-	$(BUILDDIR)/ref_gl.$(SHLIBEXT) \
-	$(BUILDDIR)/ref_glx.$(SHLIBEXT) \
 	$(BUILDDIR)/ctf/game$(ARCH).$(SHLIBEXT) \
 #	$(BUILDDIR)/xatrix/game$(ARCH).$(SHLIBEXT) \
 #	$(BUILDDIR)/rogue/game$(ARCH).$(SHLIBEXT)
@@ -125,9 +121,6 @@
 build_release:
 	@-mkdir $(BUILD_RELEASE_DIR) \
 		$(BUILD_RELEASE_DIR)/client \
-		$(BUILD_RELEASE_DIR)/ded \
-		$(BUILD_RELEASE_DIR)/ref_soft \
-		$(BUILD_RELEASE_DIR)/ref_gl \
 		$(BUILD_RELEASE_DIR)/game \
 		$(BUILD_RELEASE_DIR)/ctf \
 #		$(BUILD_RELEASE_DIR)/xatrix \
--- linux/sys_linux.c.old
+++ linux/sys_linux.c
@@ -220,7 +220,7 @@
 	char	curpath[MAX_OSPATH];
 	char	*path;
 #ifdef __i386__
-	const char *gamename = "gamei386.so";
+	const char *gamename = "GENTOO_DIR/gamei386.so";
 #elif defined __alpha__
 	const char *gamename = "gameaxp.so";
 #else
@@ -250,6 +250,14 @@
 		{
 			Com_Printf ("LoadLibrary (%s)\n",name);
 			break;
+		} else {
+			sprintf (name, "%s", gamename);
+			game_library = dlopen (name, RTLD_LAZY );
+			if (game_library)
+			{
+				Com_Printf ("LoadLibrary (%s)\n",name);
+				break;
+			}
 		}
 	}
 
--- qcommon/files.c.old
+++ qcommon/files.c
@@ -865,7 +865,7 @@
 	//
 	// start up with baseq2 by default
 	//
-	FS_AddGameDirectory (va("%s/"BASEDIRNAME, fs_basedir->string) );
+	FS_AddGameDirectory (va(BASEDIRNAME) );
 
 	// any set gamedirs will be freed up to here
 	fs_base_searchpaths = fs_searchpaths;
--- qcommon/qcommon.h.old
+++ qcommon/qcommon.h
@@ -25,7 +25,7 @@
 
 #define	VERSION		3.21
 
-#define	BASEDIRNAME	"baseq2"
+#define	BASEDIRNAME	GENTOO_DATADIR
 
 #ifdef WIN32
 
